org.eclipse.ecf.core.sharedobject

## Class TransactionSharedObject

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.BaseSharedObject
  - - org.eclipse.ecf.core.sharedobject.TransactionSharedObject

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, IIdentifiable, ISharedObject

    public class TransactionSharedObject
    extends BaseSharedObject

Superclass for shared object classes that replicate themselves transactionally.

### Field Summary

Fields
`protected ISharedObjectTransactionConfig` `configuration`
`protected ISharedObjectContainerTransaction` `transaction`

### Fields inherited from class org.eclipse.ecf.core.sharedobject.BaseSharedObject

`DESTROYREMOTE_CODE, DESTROYSELFLOCAL_CODE`

### Constructor Summary

Constructors
Constructor and Description
`TransactionSharedObject()`
`TransactionSharedObject(int timeout)`
`TransactionSharedObject(ISharedObjectTransactionConfig config)` Construct instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getAdapter(Class clazz)`
`protected void` `initialize()` Initialize this shared object.

### Methods inherited from class org.eclipse.ecf.core.sharedobject.BaseSharedObject

`addEventProcessor, clearEventProcessors, creationCompleted, destroyRemote, destroySelf, destroySelfLocal, dispose, fireEventProcessors, getConfig, getConnectedID, getContext, getGroupMemberIDs, getHomeContainerID, getID, getLocalContainerID, getProperties, getReplicaDescription, getReplicaDescriptions, getSharedObjectMsgFromEvent, handleEvent, handleEvents, handleSharedObjectCreateResponseEvent, handleSharedObjectMsg, handleSharedObjectMsg, handleSharedObjectMsgEvent, handleUnhandledEvent, init, isConnected, isPrimary, log, log, removeEventProcessor, replicateToRemoteContainers, sendSharedObjectMsgTo, sendSharedObjectMsgToPrimary, sendSharedObjectMsgToSelf, trace, traceCatching, traceEntering, traceEntering, traceEntering, traceExiting, traceExiting`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### transaction

    protected ISharedObjectContainerTransaction transaction

#### configuration

    protected ISharedObjectTransactionConfig configuration

### Constructor Detail

#### TransactionSharedObject

    public TransactionSharedObject()

#### TransactionSharedObject

    public TransactionSharedObject(int timeout)

#### TransactionSharedObject

    public TransactionSharedObject(ISharedObjectTransactionConfig config)

Construct instance. The config parameter, if given, is used to configure the transactional replication of instances or subclass instances. If the config parameter is null, no replication messaging will occur and only host instance of object will be created.

Parameters:
  `config` -

### Method Detail

#### initialize

    protected void initialize()
                       throws SharedObjectInitException

Description copied from class: `BaseSharedObject`
Initialize this shared object. Subclasses may override as appropriate to define custom initialization behavior. If initialization should fail, then a SharedObjectInitException should be thrown by implementing code. Also, subclasses overriding this method should call super.initialize() before running their own code.

Overrides:
  `initialize` in class `BaseSharedObject`
Throws:
  `SharedObjectInitException` - if initialization should throw

#### getAdapter

    public Object getAdapter(Class clazz)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `BaseSharedObject`